## org.apache.mahout.cf.taste.transforms
Interface SimilarityTransform

All Superinterfaces:
  Refreshable

All Known Implementing Classes:
  CaseAmplification

    public interface SimilarityTransform

extends Refreshable

Implementations encapsulate some transformation on similarity values between two things, where things might be IDs of users or items or something else.

Method Summary
`double` `transformSimilarity(long id1, long id2, double value)`

Methods inherited from interface org.apache.mahout.cf.taste.common.Refreshable
`refresh`

Method Detail

### transformSimilarity

    double transformSimilarity(long id1,
                               long id2,
                               double value)

  Parameters:
    `value` - original similarity between thing1 and thing2 (should be in [-1,1])
  Returns:
    transformed similarity (should be in [-1,1])

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.